Bug 25421 - Update request: file-5.37-1.1.mga7
Summary: Update request: file-5.37-1.1.mga7
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA7-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2019-09-09 23:08 CEST by Thomas Backlund
Modified: 2019-09-15 14:13 CEST (History)
3 users (show)

See Also:
Source RPM: file
CVE:
Status comment:


Attachments

Description Thomas Backlund 2019-09-09 23:08:43 CEST
Introducing rpm-4.15.0-rc (that has more threading support) in Cauldron showed how badly file / libmagic1 5.36 is performing, causing stalls and failing builds, especially with kernels.

Now this does not show up as bad in Mageia 7, but the issues are still there, so this will update Mageia 7 to 5.37 (like in Cauldron) that solves this and other problems, quoting some of the fixes:

* Tools such as rpmdiff and rpmbuild call libmagic from processes
  with large mapped virtual sizes (gigabytes). In this case,
  vfork is much faster than fork (sometimes x100 faster).

* And two missed optimizations:
  The saving/restoring of SIGPIPE is done even if file turns out
  to be *not* compressed, and no decompressor is called.
  If old signal was already SIG_IGN, no need to restore it.
  This causes, for example, ~160000 unnecessary calls
  to rt_sigaction() when rpmbuild generates kernel rpms.
  Finally we can't share the old and new sigaction pointer because
  of the "restrict" semantics.


SRPM:
file-5.37-1.mga7.src.rpm

i586:
file-5.37-1.mga7.i586.rpm
libmagic1-5.37-1.mga7.i586.rpm
libmagic-devel-5.37-1.mga7.i586.rpm
libmagic-static-devel-5.37-1.mga7.i586.rpm
python2-magic-5.37-1.mga7.noarch.rpm
python3-magic-5.37-1.mga7.noarch.rpm

x86_64:
file-5.37-1.mga7.x86_64.rpm
lib64magic1-5.37-1.mga7.x86_64.rpm
lib64magic-devel-5.37-1.mga7.x86_64.rpm
lib64magic-static-devel-5.37-1.mga7.x86_64.rpm
python2-magic-5.37-1.mga7.noarch.rpm
python3-magic-5.37-1.mga7.noarch.rpm
Comment 1 Thomas Backlund 2019-09-10 23:12:51 CEST
one fix added for:
- Set buffer to NULL to prevent double free

so new rpms list are now:

SRPM:
file-5.37-1.1.mga7.src.rpm

i586:
file-5.37-1.1.mga7.i586.rpm
libmagic1-5.37-1.1.mga7.i586.rpm
libmagic-devel-5.37-1.1.mga7.i586.rpm
libmagic-static-devel-5.37-1.1.mga7.i586.rpm
python2-magic-5.37-1.1.mga7.noarch.rpm
python3-magic-5.37-1.1.mga7.noarch.rpm

x86_64:
file-5.37-1.1.mga7.x86_64.rpm
lib64magic1-5.37-1.1.mga7.x86_64.rpm
lib64magic-devel-5.37-1.1.mga7.x86_64.rpm
lib64magic-static-devel-5.37-1.1.mga7.x86_64.rpm
python2-magic-5.37-1.1.mga7.noarch.rpm
python3-magic-5.37-1.1.mga7.noarch.rpm

Summary: Update request: file-5.37-1.mga7 => Update request: file-5.37-1.1.mga7

Comment 2 Len Lawrence 2019-09-13 19:55:21 CEST
mga7, x86_64

The update ran smoothly; two packages were new, the others updated.

Ran file command in default mode against local Downloads directory which contained a mixture of rpms, images, text, pdf, ELF and binary data files.  All detected and correctly identified.

$ cd
$ file -e ascii *

That printed information for all but the ascii text files in the home directory.

$ file badcontext.xz 
badcontext.xz: XZ compressed data
$ file -z badcontext.xz 
badcontext.xz: ASCII text (XZ compressed data)

$ sudo file -s /dev/sda{,1,2,3,4,5,6,7}
/dev/sda:  DOS/MBR boot sector MS-MBR Windows 7 english at offset 0x163 "Invalid partition table" at offset 0x17b "Error loading operating system" at offset 0x19a "Missing operating system"; partition 1 : ID=0xee, start-CHS (0x0,0,1), end-CHS (0x3ff,254,63), startsector 1, 488397167 sectors
/dev/sda1: data
/dev/sda2: DOS/MBR boot sector, code offset 0x58+2, OEM-ID "mkfs.fat", sectors/cluster 8, Media descriptor 0xf8, sectors/track 63, heads 255, hidden sectors 32768, sectors 10960896 (volumes > 32 MB), FAT (32 bit), sectors/FAT 10688, reserved 0x1, serial number 0xc787be22, unlabeled
/dev/sda3: Linux rev 1.0 ext4 filesystem data, UUID=e20b2f5c-25dc-4bf3-b212-8c8a24699db9 (extents) (64bit) (large files) (huge files)
/dev/sda4: Linux/i386 swap file (new style), version 1 (4K pages), size 8338687 pages, no label, UUID=d8dc2b10-aa2f-4ce3-9950-db5442095f5f
/dev/sda5: Linux rev 1.0 ext4 filesystem data, UUID=0e2bebff-868c-43b1-931c-dc5b9247e854 (extents) (64bit) (large files) (huge files)
/dev/sda6: Linux rev 1.0 ext4 filesystem data, UUID=dc2ec031-3cdb-4bf9-9636-91ba51db08dd (needs journal recovery) (extents) (64bit) (large files) (huge files)
/dev/sda7: Linux rev 1.0 ext4 filesystem data, UUID=bcd60b67-6af0-4ea0-b5b6-09e69af2d042 (extents) (64bit) (large files) (huge files)

OK, I think.

$ file --list | less
Set 0:
Binary patterns:
Strength = 500@47: Biosig/Brainvision Marker file [biosig/brainvision]
Strength = 490@122: Biosig/TMSiLOG [biosig/tmsilog]
Strength = 461@127: Biosig/SYNERGY [biosig/synergy]
Strength = 460@46: Biosig/Brainvision V-Amp file []
Strength = 410@45: Biosig/Brainvision data file []
Strength = 380@6: OpenSSH private key []
Strength = 361@107: EICAR virus test files []
Strength = 360@19: Biosig/ATES MEDICA SOFT. EEG for Windows [biosig/ates]
Strength = 350@188: SketchUp Model [application/vnd.sketchup.skp]
[...]
Strength = 210@533: X11 Xauthority data []
Strength = 210@2452: %s []
Strength = 210@91: Quake I save: e1m8 Ziggurat vertigo (secret) []
Strength = 210@95: Quake I save: e2m1 The installation []
[...]
Strength =   6@29: script text executable []
Strength =   2@7: FORTRAN program text [text/x-fortran]
Strength =   2@29: Tcl script []
Set 1:
Binary patterns:
Text patterns:

$ file --list | wc -l
3013

It all looks OK.

Whiteboard: (none) => MGA7-64-OK
CC: (none) => tarazed25

Comment 3 Thomas Andrews 2019-09-14 05:19:20 CEST
Validating. While not identified as such, Comment 0 sounds like a good advisory to me.

Keywords: (none) => validated_update
CC: (none) => andrewsfarm, sysadmin-bugs

Thomas Backlund 2019-09-15 11:49:44 CEST

Keywords: (none) => advisory

Comment 4 Mageia Robot 2019-09-15 14:13:05 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2019-0127.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.